<?php 
	global $entity_obj, $byt_theme_globals;
	
	$enc_key = $byt_theme_globals->get_enc_key();
	$add_captcha_to_forms = $byt_theme_globals->add_captcha_to_forms();
	
	$c_val_1_inq = mt_rand(1, 20);
	$c_val_2_inq = mt_rand(1, 20);

	$c_val_1_inq_str = BYT_Theme_Utils::encrypt($c_val_1_inq, $enc_key);
	$c_val_2_inq_str = BYT_Theme_Utils::encrypt($c_val_2_inq, $enc_key);
	
	$post_type = $entity_obj->get_entity_type();
	$post_id = $entity_obj->get_base_id();
	$contact_form_heading = '';
	
	if ($post_type == 'accommodation')
		$contact_form_heading = __('Use the form below to contact accommodation %s directly.', 'bookyourtravel');
	elseif ($post_type == 'tour')
		$contact_form_heading = __('Use the form below to contact tour %s directly.', 'bookyourtravel');
	elseif ($post_type == 'car_rental')
		$contact_form_heading = __('Use the form below to contact car rental %s directly.', 'bookyourtravel');
	elseif ($post_type == 'cruise')
		$contact_form_heading = __('Use the form below to contact cruise %s directly.', 'bookyourtravel');
?>
<script>
	window.InvalidCaptchaMessage = <?php echo json_encode(__('Invalid captcha, please try again!', 'bookyourtravel')); ?>;
	window.postId = '<?php echo $post_id; ?>';
	window.inquiryFormMessageError = <?php echo json_encode(__('Please enter your message', 'bookyourtravel')); ?>;
	window.inquiryFormNameError = <?php echo json_encode(__('Please enter your full name', 'bookyourtravel')); ?>;
	window.inquiryFormEmailError = <?php echo json_encode(__('Please enter your email address', 'bookyourtravel')); ?>;
	window.inquiryFormPhoneError = <?php echo json_encode(__('Please enter your phone number', 'bookyourtravel')); ?>;
</script>
<?php do_action( 'byt_show_' . $post_type . '_inquiry_form_before' ); ?>
<!--full-width content-->
<section class="full-width <?php echo $post_type; ?>-inquiry-section" style="display:none">
	<article class="static-content">
		<form method="post" action="" class="inquiry <?php echo esc_attr($post_type); ?>-inquiry-form">
			<h1><?php echo sprintf($contact_form_heading, $entity_obj->get_title()); ?></h1>
			<div class="error" style="display:none;"><div><p></p></div></div>
			<p><?php _e('Please complete all fields.', 'bookyourtravel'); ?></p>
			<div class="row">
				<div class="f-item">
					<label for="your_name"><?php _e('Your name', 'bookyourtravel') ?></label>
					<input type="text" name="your_name" id="your_name" />
				</div>
			</div>
			<div class="row">
				<div class="f-item">
					<label for="your_email"><?php _e('Your email', 'bookyourtravel') ?></label>
					<input type="email" name="your_email" id="your_email" />
				</div>
			</div>
			<div class="row">
				<div class="f-item">
					<label for="your_phone"><?php _e('Your phone', 'bookyourtravel') ?></label>
					<input type="text" name="your_phone" id="your_phone" />
				</div>
			</div>
			<h3><?php _e('What would you like to inquire about?', 'bookyourtravel'); ?></h3>
			<div class="f-item">
				<textarea id="your_message" name='your_message' rows="10" cols="10" ></textarea>
			</div>
			<?php if ($add_captcha_to_forms) { ?>
			<div class="row captcha">
				<div class="f-item">
					<label><?php echo sprintf(__('How much is %d + %d', 'bookyourtravel'), $c_val_1_inq, $c_val_2_inq) ?>?</label>
					<input type="text" required="required" id="c_val_s_inq" name="c_val_s_inq" />
					<input type="hidden" name="c_val_1_inq" id="c_val_1_inq" value="<?php echo esc_attr($c_val_1_inq_str); ?>" />
					<input type="hidden" name="c_val_2_inq" id="c_val_2_inq" value="<?php echo esc_attr($c_val_2_inq_str); ?>" />
				</div>
			</div>
			<?php } ?>
			<?php BYT_Theme_Utils::render_link_button("#", "gradient-button cancel-" . $post_type . "-inquiry", "cancel-inquiry", __('Cancel', 'bookyourtravel')); ?>
			<?php BYT_Theme_Utils::render_submit_button("gradient-button", "submit-" . $post_type . "-inquiry", __('Submit inquiry', 'bookyourtravel')); ?>
		</form>
	</article>
</section>
<!--//full-width content-->
<?php 
do_action( 'byt_show_' . $post_type . '_inquiry_form_after' );