<?php

class BYT_Theme_Filters extends BYT_BaseSingleton {
	
	protected function __construct() {
	
        // our parent class might contain shared code in its constructor
        parent::__construct();
		
    }
	
    public function init() {
		add_filter( 'wp_title', array($this, 'custom_wp_title'), 10, 2 );
	}

	function custom_wp_title( $title, $sep ) {
		if ( is_feed() ) {
			return $title;
		}

		global $page, $paged;

		// Add the blog name
		$blog_name = get_bloginfo( 'name', 'display' );

		// Add the blog description for the home/front page.
		$site_description = get_bloginfo( 'description', 'display' );
		if ( $site_description && ( is_home() || is_front_page() ) ) {
			$blog_name .= " $sep $site_description";
		}
		
		$title = $blog_name . " " . $title;

		// Add a page number if necessary:
		if ( ( $paged >= 2 || $page >= 2 ) && ! is_404() ) {
			$title .= " $sep " . sprintf( __( 'Page %s', '_s' ), max( $paged, $page ) );
		}

		return $title;
	}


}

// store the instance in a variable to be retrieved later and call init
$byt_theme_filters = BYT_Theme_Filters::get_instance();
$byt_theme_filters->init();