<?php 

get_header();  
BYT_Theme_Utils::breadcrumbs();
get_sidebar('under-header');	

global $post, $current_user, $byt_theme_globals, $byt_theme_of_custom, $byt_accommodations_post_type, $byt_cruises_post_type, $byt_tours_post_type, $byt_car_rentals_post_type, $default_location_tabs;

$enable_accommodations = $byt_theme_globals->enable_accommodations();
$enable_cruises = $byt_theme_globals->enable_cruises();
$enable_car_rentals = $byt_theme_globals->enable_car_rentals();
$enable_tours = $byt_theme_globals->enable_tours();
$price_decimal_places = $byt_theme_globals->get_price_decimal_places();
$location_extra_fields = $byt_theme_globals->get_location_extra_fields();
$tab_array = $byt_theme_globals->get_location_tabs();

if ( have_posts() ) {
	the_post();
	$location_id = $post->ID;		
	$location_obj = new byt_location($post);
	
	$display_as_directory = $location_obj->get_custom_field('display_as_directory');

	if (!$display_as_directory) {
 ?>
	<!--three-fourth content-->
	<section class="three-fourth">
		<h1><?php echo $location_obj->get_title(); ?></h1>	
		<?php $location_obj->render_image_gallery(); ?>
		<!--inner navigation-->
		<nav class="inner-nav">
			<ul>
				<?php do_action( 'byt_show_single_location_tab_items_before' ); ?>
				<?php
				$first_display_tab = '';			
				if (is_array($tab_array) && count($tab_array) > 0) {
					foreach ($tab_array as $tab) {
					
						if (!isset($tab['hide']) || $tab['hide'] != '1') {
						
							$tab_label = '';
							if (isset($tab['label'])) {
								$tab_label = $tab['label'];
								$tab_label = $byt_theme_of_custom->get_translated_dynamic_string($byt_theme_of_custom->get_option_id_context('location_tabs') . ' ' . $tab['label'], $tab_label);
							}
						
							if ($tab['id'] == 'sports_and_nature') {
								if ($location_obj->get_custom_field('sports_and_nature') && strlen ($location_obj->get_custom_field('sports_and_nature')) > 0) {
									if(empty($first_display_tab)) $first_display_tab = $tab['id'];
									BYT_Theme_Utils::render_tab("location", $tab['id'], '',  '<a href="#' . $tab['id'] . '" title="' . $tab_label . '">' . $tab_label . '</a>');
								}
							} elseif ($tab['id'] == 'culture') {
							    if ( $location_obj->get_custom_field('culture_and_history') && strlen($location_obj->get_custom_field('culture_and_history')) > 0 ) {
									if(empty($first_display_tab)) $first_display_tab = $tab['id'];
									BYT_Theme_Utils::render_tab("location", $tab['id'], '',  '<a href="#' . $tab['id'] . '" title="' . $tab_label . '">' . $tab_label . '</a>');
								}
							} elseif ($tab['id'] == 'nightlife') {
								if ( $location_obj->get_custom_field('nightlife') && strlen($location_obj->get_custom_field('nightlife')) > 0 ) {
									if(empty($first_display_tab)) $first_display_tab = $tab['id'];
									BYT_Theme_Utils::render_tab("location", $tab['id'], '',  '<a href="#' . $tab['id'] . '" title="' . $tab_label . '">' . $tab_label . '</a>');
								}
							} elseif ($tab['id'] == 'hotels' || $tab['id'] == 'self-catered') {
								if ($enable_accommodations) { 
									if(empty($first_display_tab)) $first_display_tab = $tab['id'];
									BYT_Theme_Utils::render_tab("location", $tab['id'], '',  '<a href="#' . $tab['id'] . '" title="' . $tab_label . '">' . $tab_label . '</a>');
								}
							} elseif ($tab['id'] == 'tours') {
								if ($enable_tours) { 
									if(empty($first_display_tab)) $first_display_tab = $tab['id'];
									BYT_Theme_Utils::render_tab("location", $tab['id'], '',  '<a href="#' . $tab['id'] . '" title="' . $tab_label . '">' . $tab_label . '</a>');
								}
							} elseif ($tab['id'] == 'cruises') {
								if ($enable_cruises) { 
									if(empty($first_display_tab)) $first_display_tab = $tab['id'];
									BYT_Theme_Utils::render_tab("location", $tab['id'], '',  '<a href="#' . $tab['id'] . '" title="' . $tab_label . '">' . $tab_label . '</a>');
								}
							} elseif ($tab['id'] == 'car_rentals') {
								if ($enable_car_rentals) { 
									if(empty($first_display_tab)) $first_display_tab = $tab['id'];
									BYT_Theme_Utils::render_tab("location", $tab['id'], '',  '<a href="#' . $tab['id'] . '" title="' . $tab_label . '">' . $tab_label . '</a>');
								}
							} else {
								if(empty($first_display_tab)) $first_display_tab = $tab['id'];
								BYT_Theme_Utils::render_tab("location", $tab['id'], '',  '<a href="#' . $tab['id'] . '" title="' . $tab_label . '">' . $tab_label . '</a>');
							}
						}
					}
				} 
				?>
				<?php do_action( 'byt_show_single_location_tab_items_after' ); ?>
			</ul>
		</nav>
		<!--//inner navigation-->
		<?php do_action( 'byt_show_single_location_tab_content_before' ); ?>
		<!--General information-->
		<section id="general_info" class="tab-content <?php echo $first_display_tab == 'general_info' ? 'initial' : ''; ?>">
			<article>
				<h1><?php echo $location_obj->get_title(); ?></h1>
				<?php 
				$location_image = $location_obj->get_main_image();	
				if (empty($location_image)) {
					$location_image = BYT_Theme_Utils::get_file_uri('/images/uploads/img.jpg');
				}
				?>
				<figure class="left_pic"><img src="<?php echo esc_url( $location_image ); ?>" alt="<?php esc_attr_e('Things to do - general', 'bookyourtravel'); ?>" /></figure>
				<?php echo $location_obj->get_description(); ?>
				<table>
					<?php if ($location_obj->get_custom_field('country')) { ?>
					<tr>
						<th><?php _e('Country', 'bookyourtravel'); ?></th>
						<td><?php echo $location_obj->get_custom_field('country'); ?></td>
					</tr>
					<?php } ?>
					<?php BYT_Theme_Utils::render_tab_extra_fields('location_extra_fields', $location_extra_fields, 'general_info', $location_obj, '', false, true, true); ?>
				</table>	
			</article>
		</section>
		<!--//General information-->				
		<?php if ($location_obj->get_custom_field('sports_and_nature')) { ?>
		<!--Sports and nature-->
		<section id="sports_and_nature" class="tab-content <?php echo $first_display_tab == 'sports_and_nature' ? 'initial' : ''; ?>">
			<article>
				<?php BYT_Theme_Utils::render_tab_extra_fields('location_extra_fields', $location_extra_fields, 'sports_and_nature', $location_obj, '', true ); ?>	
			</article>
		</section>
		<!--//Sports and nature-->
		<?php } ?>		
		<?php if ($location_obj->get_custom_field('nightlife')) { ?>
		<!--Nightlife-->
		<section id="nightlife" class="tab-content <?php echo $first_display_tab == 'nightlife' ? 'initial' : ''; ?>">
			<article>
				<?php BYT_Theme_Utils::render_tab_extra_fields('location_extra_fields', $location_extra_fields, 'nightlife', $location_obj, '', true ); ?>	
			</article>
		</section>
		<!--//Nightlife-->
		<?php } ?>		
		<?php if ($location_obj->get_custom_field('culture_and_history')) { ?>
		<!--Culture and history-->
		<section id="culture" class="tab-content <?php echo $first_display_tab == 'culture' ? 'initial' : ''; ?>">
			<article>
				<?php BYT_Theme_Utils::render_tab_extra_fields('location_extra_fields', $location_extra_fields, 'culture', $location_obj, '', true ); ?>			
			</article>
		</section>
		<!--//Culture and history-->
		<?php } ?>
		<?php if ($enable_accommodations) { ?>
		<!--Hotels-->
		<section id="hotels" class="tab-content <?php echo $first_display_tab == 'hotels' ? 'initial' : ''; ?>">
			<div class="deals">
			<?php
			$hotel_results = $byt_accommodations_post_type->list_accommodations(0, -1, 'post_title', 'ASC', $location_id, array(), array(), array(), false, false);
			
			if ( count($hotel_results) > 0 && $hotel_results['total'] > 0 ) {
				foreach ($hotel_results['results'] as $hotel_result) {
					global $post, $accommodation_class;
					$post = $hotel_result;
					setup_postdata( $post ); 
					$accommodation_class = 'full-width';
					get_template_part('includes/parts/accommodation', 'item');
				}
			} else {
				echo '<p>' . __('Unfortunately there are no hotels at this location at the moment.', 'bookyourtravel') . '</p>';
			} ?>
			<?php BYT_Theme_Utils::render_tab_extra_fields('location_extra_fields', $location_extra_fields, 'hotels', $location_obj); ?>
			</div>
		</section>		
		<!--/Hotels-->		
		<!--Self catered-->
		<section id="self-catered" class="tab-content <?php echo $first_display_tab == 'self-catered' ? 'initial' : ''; ?>">
			<div class="deals">
			<?php 
			$self_catered_results = $byt_accommodations_post_type->list_accommodations(0, -1, 'post_title', 'ASC', $location_id, array(), array(), array(), false, true);
			if ( count($self_catered_results) > 0 && $self_catered_results['total'] > 0 ) {
				foreach ($self_catered_results['results'] as $self_catered_result) {
					global $post, $accommodation_class;
					$post = $self_catered_result;
					setup_postdata( $post ); 
					$accommodation_class = 'full-width';
					get_template_part('includes/parts/accommodation', 'item');
				}
			} else {
				echo '<p>' . __('Unfortunately there are no self-catering offers at this location at the moment.', 'bookyourtravel') . '</p>';
			} ?>
			<?php BYT_Theme_Utils::render_tab_extra_fields('location_extra_fields', $location_extra_fields, 'self-catered', $location_obj); ?>
			</div>
		</section>		
		<!--/Self catered-->	
		<?php } ?>	
		<?php if ($enable_tours) { ?>
		<!--Tours-->
		<section id="tours" class="tab-content <?php echo $first_display_tab == 'tours' ? 'initial' : ''; ?>">
			<div class="deals">
			<?php 
			$tour_results = $byt_tours_post_type->list_tours(0, -1, 'post_title', 'ASC', $location_id);
			if ( count($tour_results) > 0 && $tour_results['total'] > 0 ) {
				foreach ($tour_results['results'] as $tour_result) {
					global $post, $tour_class;
					$post = $tour_result;
					setup_postdata( $post ); 
					$tour_class = 'full-width';
					get_template_part('includes/parts/tour', 'item');
				}
			} else {
				echo '<p>' . __('Unfortunately there are no tour offers at this location at the moment.', 'bookyourtravel') . '</p>';
			} ?>
			<?php BYT_Theme_Utils::render_tab_extra_fields('location_extra_fields', $location_extra_fields, 'tours', $location_obj); ?>
			</div>
		</section>		
		<!--/Tours-->	
		<?php } ?>
		<?php if ($enable_cruises) { ?>
		<!--Cruises-->
		<section id="cruises" class="tab-content <?php echo $first_display_tab == 'cruises' ? 'initial' : ''; ?>">
			<div class="deals">
			<?php 
			$cruise_results = $byt_cruises_post_type->list_cruises(0, -1, 'post_title', 'ASC', $location_id);
			if ( count($cruise_results) > 0 && $cruise_results['total'] > 0 ) {
				foreach ($cruise_results['results'] as $cruise_result) {
					global $post, $cruise_class;
					$post = $cruise_result;
					setup_postdata( $post ); 
					$cruise_class = 'full-width';
					get_template_part('includes/parts/cruise', 'item');
				}
			} else {
				echo '<p>' . __('Unfortunately there are no cruise offers at this location at the moment.', 'bookyourtravel') . '</p>';
			} ?>
			<?php BYT_Theme_Utils::render_tab_extra_fields('location_extra_fields', $location_extra_fields, 'cruises', $location_obj); ?>
			</div>
		</section>		
		<!--/Cruises-->	
		<?php } ?>
		<?php if ($enable_car_rentals) { ?>
		<!--Car rentals-->
		<section id="car_rentals" class="tab-content <?php echo $first_display_tab == 'car_rentals' ? 'initial' : ''; ?>">
			<div class="deals">
			<?php 
			$car_rental_results = $byt_car_rentals_post_type->list_car_rentals(0, -1, 'post_title', 'ASC', $location_id);
			if ( count($car_rental_results) > 0 && $car_rental_results['total'] > 0 ) {
				foreach ($car_rental_results['results'] as $car_rental_result) {
					global $post, $car_rental_class;
					$post = $cruise_result;
					setup_postdata( $post ); 
					$car_rental_class = 'full-width';
					get_template_part('includes/parts/car_rental', 'item');
				}
			} else {
				echo '<p>' . __('Unfortunately there are no car rental offers at this location at the moment.', 'bookyourtravel') . '</p>';
			} ?>
			<?php BYT_Theme_Utils::render_tab_extra_fields('location_extra_fields', $location_extra_fields, 'car_rentals', $location_obj); ?>
			</div>
		</section>		
		<!--/Car rentals-->	
		<?php } ?>	
		<?php
		foreach ($tab_array as $tab) {
			if (count(BYT_Theme_Utils::custom_array_search($default_location_tabs, 'id', $tab['id'])) == 0) {
			?>
				<section id="<?php echo esc_attr( $tab['id'] ); ?>" class="tab-content <?php echo ($first_display_tab == $tab['id'] ? 'initial' : ''); ?>">
					<article>
						<?php do_action( 'byt_show_single_location_' . $tab['id'] . '_before' ); ?>
						<?php BYT_Theme_Utils::render_tab_extra_fields('location_extra_fields', $location_extra_fields, $tab['id'], $location_obj); ?>
						<?php do_action( 'byt_show_single_location_' . $tab['id'] . '_after' ); ?>
					</article>
				</section>
			<?php
			}
		}	
		do_action( 'byt_show_single_location_tab_content_after' ); ?>
	</section>
<?php
	get_sidebar('right');
	
	} else {
	
		if ( get_query_var('paged-byt') ) {
			$paged = get_query_var('paged-byt');
		} else {
			$paged = 1;
		}
		
		$posts_per_page = $byt_theme_globals->get_locations_archive_posts_per_page();

		$args = array(
			'posts_per_page'   => $posts_per_page,
			'paged'			   => $paged,
			'offset'           => 0,
			'category'         => '',
			'orderby'          => 'title',
			'order'            => 'ASC',
			'post_type'        => 'location',
			'post_status'      => 'publish'); 
			
		$args['post_parent'] = $post->ID;

		?>
		<section class="full">
			<h1><?php echo $location_obj->get_title(); ?></h1>
		<?php
			$query = new WP_Query($args); 
		?>	
			<div class="destinations clearfix">
				<?php if ( $query->have_posts() ) { ?>
				<div class="inner-wrap">
				<?php
				while ($query->have_posts()) {
					global $post, $location_class;
					$query->the_post(); 
					$location_class = 'one-fourth';
					get_template_part('includes/parts/location', 'item');	
				} // end while ($query->have_posts()) ?>
				</div>
				<nav class="page-navigation bottom-nav">
					<!--back up button-->
					<a href="#" class="scroll-to-top" title="<?php esc_attr_e('Back up', 'bookyourtravel'); ?>"><?php _e('Back up', 'bookyourtravel'); ?></a> 
					<!--//back up button-->
					<!--pager-->
					<div class="pager">
						<?php BYT_Theme_Utils::display_pager($query->max_num_pages, true); ?>
					</div>
				</nav>
			<?php } // end if ( $query->have_posts() ) ?>
			</div><!--//destinations clearfix-->
		</section>
		<?php
		wp_reset_postdata();
	}
} // end if

get_footer();